<?php
$tdatab_case_01 = array();
$tdatab_case_01[".searchableFields"] = array();
$tdatab_case_01[".ShortName"] = "b_case_01";
$tdatab_case_01[".OwnerID"] = "";
$tdatab_case_01[".OriginalTable"] = "b_case_01";


$tdatab_case_01[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatab_case_01[".originalPagesByType"] = $tdatab_case_01[".pagesByType"];
$tdatab_case_01[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatab_case_01[".originalPages"] = $tdatab_case_01[".pages"];
$tdatab_case_01[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatab_case_01[".originalDefaultPages"] = $tdatab_case_01[".defaultPages"];

//	field labels
$fieldLabelsb_case_01 = array();
$fieldToolTipsb_case_01 = array();
$pageTitlesb_case_01 = array();
$placeHoldersb_case_01 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsb_case_01["English"] = array();
	$fieldToolTipsb_case_01["English"] = array();
	$placeHoldersb_case_01["English"] = array();
	$pageTitlesb_case_01["English"] = array();
	$fieldLabelsb_case_01["English"]["numPers"] = "Num Pers";
	$fieldToolTipsb_case_01["English"]["numPers"] = "";
	$placeHoldersb_case_01["English"]["numPers"] = "";
	$fieldLabelsb_case_01["English"]["vote"] = "إقترع";
	$fieldToolTipsb_case_01["English"]["vote"] = "";
	$placeHoldersb_case_01["English"]["vote"] = "";
	$fieldLabelsb_case_01["English"]["firstName"] = "الإسم";
	$fieldToolTipsb_case_01["English"]["firstName"] = "";
	$placeHoldersb_case_01["English"]["firstName"] = "";
	$fieldLabelsb_case_01["English"]["fatherName"] = "إسم الأب";
	$fieldToolTipsb_case_01["English"]["fatherName"] = "";
	$placeHoldersb_case_01["English"]["fatherName"] = "";
	$fieldLabelsb_case_01["English"]["lastName"] = "الشهرة";
	$fieldToolTipsb_case_01["English"]["lastName"] = "";
	$placeHoldersb_case_01["English"]["lastName"] = "";
	$fieldLabelsb_case_01["English"]["motherName"] = "إسم الأم";
	$fieldToolTipsb_case_01["English"]["motherName"] = "";
	$placeHoldersb_case_01["English"]["motherName"] = "";
	$fieldLabelsb_case_01["English"]["numRegister"] = "رقم السجل";
	$fieldToolTipsb_case_01["English"]["numRegister"] = "";
	$placeHoldersb_case_01["English"]["numRegister"] = "";
	$fieldLabelsb_case_01["English"]["sortNbr"] = "متسلسل";
	$fieldToolTipsb_case_01["English"]["sortNbr"] = "";
	$placeHoldersb_case_01["English"]["sortNbr"] = "";
	$fieldLabelsb_case_01["English"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsb_case_01["English"]["repairList"] = "";
	$placeHoldersb_case_01["English"]["repairList"] = "";
	$pageTitlesb_case_01["English"]["search"] = "Advanced search";
	$pageTitlesb_case_01["English"]["print"] = "البوشرية 1";
	$pageTitlesb_case_01["English"]["list"] = "البوشرية 1";
	if (count($fieldToolTipsb_case_01["English"]))
		$tdatab_case_01[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsb_case_01["Arabic"] = array();
	$fieldToolTipsb_case_01["Arabic"] = array();
	$placeHoldersb_case_01["Arabic"] = array();
	$pageTitlesb_case_01["Arabic"] = array();
	$fieldLabelsb_case_01["Arabic"]["numPers"] = "Num Pers";
	$fieldToolTipsb_case_01["Arabic"]["numPers"] = "";
	$placeHoldersb_case_01["Arabic"]["numPers"] = "";
	$fieldLabelsb_case_01["Arabic"]["vote"] = "إقترع";
	$fieldToolTipsb_case_01["Arabic"]["vote"] = "";
	$placeHoldersb_case_01["Arabic"]["vote"] = "";
	$fieldLabelsb_case_01["Arabic"]["firstName"] = "الإسم";
	$fieldToolTipsb_case_01["Arabic"]["firstName"] = "";
	$placeHoldersb_case_01["Arabic"]["firstName"] = "";
	$fieldLabelsb_case_01["Arabic"]["fatherName"] = "إسم الأب";
	$fieldToolTipsb_case_01["Arabic"]["fatherName"] = "";
	$placeHoldersb_case_01["Arabic"]["fatherName"] = "";
	$fieldLabelsb_case_01["Arabic"]["lastName"] = "الشهرة";
	$fieldToolTipsb_case_01["Arabic"]["lastName"] = "";
	$placeHoldersb_case_01["Arabic"]["lastName"] = "";
	$fieldLabelsb_case_01["Arabic"]["motherName"] = "إسم الأم";
	$fieldToolTipsb_case_01["Arabic"]["motherName"] = "";
	$placeHoldersb_case_01["Arabic"]["motherName"] = "";
	$fieldLabelsb_case_01["Arabic"]["numRegister"] = "رقم السجل";
	$fieldToolTipsb_case_01["Arabic"]["numRegister"] = "";
	$placeHoldersb_case_01["Arabic"]["numRegister"] = "";
	$fieldLabelsb_case_01["Arabic"]["sortNbr"] = "متسلسل";
	$fieldToolTipsb_case_01["Arabic"]["sortNbr"] = "";
	$placeHoldersb_case_01["Arabic"]["sortNbr"] = "";
	$fieldLabelsb_case_01["Arabic"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsb_case_01["Arabic"]["repairList"] = "";
	$placeHoldersb_case_01["Arabic"]["repairList"] = "";
	$pageTitlesb_case_01["Arabic"]["list"] = "البوشرية 1";
	$pageTitlesb_case_01["Arabic"]["print"] = "البوشرية 1";
	$pageTitlesb_case_01["Arabic"]["search"] = "البوشرية 1 - بحث متقدم";
	if (count($fieldToolTipsb_case_01["Arabic"]))
		$tdatab_case_01[".isUseToolTips"] = true;
}


	$tdatab_case_01[".NCSearch"] = true;



$tdatab_case_01[".shortTableName"] = "b_case_01";
$tdatab_case_01[".nSecOptions"] = 0;

$tdatab_case_01[".mainTableOwnerID"] = "";
$tdatab_case_01[".entityType"] = 0;
$tdatab_case_01[".connId"] = "electiondb_at_ssl_localhost";


$tdatab_case_01[".strOriginalTableName"] = "b_case_01";

	



$tdatab_case_01[".showAddInPopup"] = false;

$tdatab_case_01[".showEditInPopup"] = false;

$tdatab_case_01[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatab_case_01[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatab_case_01[".listAjax"] = false;
//	temporary
$tdatab_case_01[".listAjax"] = false;

	$tdatab_case_01[".audit"] = false;

	$tdatab_case_01[".locking"] = false;


$pages = $tdatab_case_01[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatab_case_01[".edit"] = true;
	$tdatab_case_01[".afterEditAction"] = 1;
	$tdatab_case_01[".closePopupAfterEdit"] = 1;
	$tdatab_case_01[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatab_case_01[".add"] = true;
$tdatab_case_01[".afterAddAction"] = 1;
$tdatab_case_01[".closePopupAfterAdd"] = 1;
$tdatab_case_01[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatab_case_01[".list"] = true;
}



$tdatab_case_01[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatab_case_01[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatab_case_01[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatab_case_01[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatab_case_01[".printFriendly"] = true;
}



$tdatab_case_01[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatab_case_01[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatab_case_01[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatab_case_01[".isUseAjaxSuggest"] = true;

$tdatab_case_01[".rowHighlite"] = true;





$tdatab_case_01[".ajaxCodeSnippetAdded"] = false;

$tdatab_case_01[".buttonsAdded"] = false;

$tdatab_case_01[".addPageEvents"] = false;

// use timepicker for search panel
$tdatab_case_01[".isUseTimeForSearch"] = false;


$tdatab_case_01[".badgeColor"] = "6B8E23";


$tdatab_case_01[".allSearchFields"] = array();
$tdatab_case_01[".filterFields"] = array();
$tdatab_case_01[".requiredSearchFields"] = array();

$tdatab_case_01[".googleLikeFields"] = array();
$tdatab_case_01[".googleLikeFields"][] = "sortNbr";
$tdatab_case_01[".googleLikeFields"][] = "numPers";
$tdatab_case_01[".googleLikeFields"][] = "vote";
$tdatab_case_01[".googleLikeFields"][] = "firstName";
$tdatab_case_01[".googleLikeFields"][] = "fatherName";
$tdatab_case_01[".googleLikeFields"][] = "lastName";
$tdatab_case_01[".googleLikeFields"][] = "motherName";
$tdatab_case_01[".googleLikeFields"][] = "numRegister";
$tdatab_case_01[".googleLikeFields"][] = "repairList";



$tdatab_case_01[".tableType"] = "list";

$tdatab_case_01[".printerPageOrientation"] = 0;
$tdatab_case_01[".nPrinterPageScale"] = 100;

$tdatab_case_01[".nPrinterSplitRecords"] = 40;

$tdatab_case_01[".geocodingEnabled"] = false;







$tdatab_case_01[".noRecordsFirstPage"] = true;



$tdatab_case_01[".pageSize"] = 20;

$tdatab_case_01[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatab_case_01[".strOrderBy"] = $tstrOrderBy;

$tdatab_case_01[".orderindexes"] = array();


$tdatab_case_01[".sqlHead"] = "SELECT sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$tdatab_case_01[".sqlFrom"] = "FROM b_case_01";
$tdatab_case_01[".sqlWhereExpr"] = "";
$tdatab_case_01[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatab_case_01[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatab_case_01[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatab_case_01[".arrGroupsPerPage"] = $arrGPP;

$tdatab_case_01[".highlightSearchResults"] = true;

$tableKeysb_case_01 = array();
$tableKeysb_case_01[] = "numPers";
$tdatab_case_01[".Keys"] = $tableKeysb_case_01;


$tdatab_case_01[".hideMobileList"] = array();




//	sortNbr
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "sortNbr";
	$fdata["GoodName"] = "sortNbr";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","sortNbr");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "sortNbr";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sortNbr";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["sortNbr"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "sortNbr";
//	numPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numPers";
	$fdata["GoodName"] = "numPers";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","numPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "numPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["numPers"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "numPers";
//	vote
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "vote";
	$fdata["GoodName"] = "vote";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","vote");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "vote";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vote";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "YES";
	$edata["LookupValues"][] = "NO";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["vote"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "vote";
//	firstName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "firstName";
	$fdata["GoodName"] = "firstName";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","firstName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "firstName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "firstName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["firstName"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "firstName";
//	fatherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fatherName";
	$fdata["GoodName"] = "fatherName";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","fatherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fatherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fatherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["fatherName"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "fatherName";
//	lastName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "lastName";
	$fdata["GoodName"] = "lastName";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","lastName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "lastName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "lastName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["lastName"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "lastName";
//	motherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "motherName";
	$fdata["GoodName"] = "motherName";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","motherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "motherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "motherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["motherName"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "motherName";
//	numRegister
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "numRegister";
	$fdata["GoodName"] = "numRegister";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","numRegister");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "numRegister";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegister";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["numRegister"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "numRegister";
//	repairList
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "repairList";
	$fdata["GoodName"] = "repairList";
	$fdata["ownerTable"] = "b_case_01";
	$fdata["Label"] = GetFieldLabel("b_case_01","repairList");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "repairList";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "repairList";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=30";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatab_case_01["repairList"] = $fdata;
		$tdatab_case_01[".searchableFields"][] = "repairList";


$tables_data["b_case_01"]=&$tdatab_case_01;
$field_labels["b_case_01"] = &$fieldLabelsb_case_01;
$fieldToolTips["b_case_01"] = &$fieldToolTipsb_case_01;
$placeHolders["b_case_01"] = &$placeHoldersb_case_01;
$page_titles["b_case_01"] = &$pageTitlesb_case_01;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["b_case_01"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["b_case_01"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_b_case_01()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$proto0["m_strFrom"] = "FROM b_case_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "sortNbr",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto6["m_sql"] = "sortNbr";
$proto6["m_srcTableName"] = "b_case_01";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numPers",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto8["m_sql"] = "numPers";
$proto8["m_srcTableName"] = "b_case_01";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "vote",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto10["m_sql"] = "vote";
$proto10["m_srcTableName"] = "b_case_01";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "firstName",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto12["m_sql"] = "firstName";
$proto12["m_srcTableName"] = "b_case_01";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fatherName",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto14["m_sql"] = "fatherName";
$proto14["m_srcTableName"] = "b_case_01";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "lastName",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto16["m_sql"] = "lastName";
$proto16["m_srcTableName"] = "b_case_01";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "motherName",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto18["m_sql"] = "motherName";
$proto18["m_srcTableName"] = "b_case_01";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegister",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto20["m_sql"] = "numRegister";
$proto20["m_srcTableName"] = "b_case_01";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "repairList",
	"m_strTable" => "b_case_01",
	"m_srcTableName" => "b_case_01"
));

$proto22["m_sql"] = "repairList";
$proto22["m_srcTableName"] = "b_case_01";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "b_case_01";
$proto25["m_srcTableName"] = "b_case_01";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "sortNbr";
$proto25["m_columns"][] = "numPers";
$proto25["m_columns"][] = "vote";
$proto25["m_columns"][] = "firstName";
$proto25["m_columns"][] = "fatherName";
$proto25["m_columns"][] = "lastName";
$proto25["m_columns"][] = "motherName";
$proto25["m_columns"][] = "numRegister";
$proto25["m_columns"][] = "repairList";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "b_case_01";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "b_case_01";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="b_case_01";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_b_case_01 = createSqlQuery_b_case_01();


	
		;

									

$tdatab_case_01[".sqlquery"] = $queryData_b_case_01;



$tableEvents["b_case_01"] = new eventsBase;
$tdatab_case_01[".hasEvents"] = false;

?>